<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class Members</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_rela.html"><span>Related&#160;Functions</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li class="current"><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>m_rawAcc
: <a class="el" href="struct_packet_info.html#afacfd1fc324591a178569644670ee2fa">PacketInfo</a>
</li>
<li>m_rawData
: <a class="el" href="struct_packet_info.html#ac6589d3a29fe6ef26bcd43a74744ab04">PacketInfo</a>
</li>
<li>m_rawGyr
: <a class="el" href="struct_packet_info.html#a9a663298d9e41116067b9c52cca15c1c">PacketInfo</a>
</li>
<li>m_rawGyroTemp
: <a class="el" href="struct_packet_info.html#a94382ec3fdd1942e2f1012707bc98447">PacketInfo</a>
</li>
<li>m_rawMag
: <a class="el" href="struct_packet_info.html#a99433cc10e5e6f808eaec273c8c10237">PacketInfo</a>
</li>
<li>m_rawTemp
: <a class="el" href="struct_packet_info.html#a3c18d7c25a03f052e80f1e4f43da13b3">PacketInfo</a>
</li>
<li>m_reading
: <a class="el" href="class_io_interface_file.html#a40fb87434680490406d1c1e6e463bf14">IoInterfaceFile</a>
</li>
<li>m_readOnly
: <a class="el" href="class_io_interface_file.html#acbc2022d183845a7f9868310a09a7838">IoInterfaceFile</a>
</li>
<li>m_readPos
: <a class="el" href="class_io_interface_file.html#abf3b0adfe8be7add27f23b4f4964c5ee">IoInterfaceFile</a>
</li>
<li>m_res1
: <a class="el" href="struct_xs_raw_gnss_pvt_data.html#a2bee5d529b0a9418fc70221612b6c7d5">XsRawGnssPvtData</a>
, <a class="el" href="struct_xs_raw_gnss_sat_info.html#a536ba04b263d5994a57172873fd1d9c4">XsRawGnssSatInfo</a>
, <a class="el" href="struct_xs_raw_gps_sol.html#abe3e12ec58474d3516775d3f14c2f12d">XsRawGpsSol</a>
, <a class="el" href="struct_xs_raw_gps_sv_info.html#a52914512ead0c1f5a9f193fd9044e6ae">XsRawGpsSvInfo</a>
</li>
<li>m_res2
: <a class="el" href="struct_xs_raw_gnss_sat_info.html#a74278e9cc47e465a7f3c5c153b24c3d1">XsRawGnssSatInfo</a>
, <a class="el" href="struct_xs_raw_gps_sol.html#a807c0eb6d3066964ee161ebfacad3e98">XsRawGpsSol</a>
, <a class="el" href="struct_xs_raw_gps_sv_info.html#afe502a650e9fb124a963bb3e7871875c">XsRawGpsSvInfo</a>
</li>
<li>m_res3
: <a class="el" href="struct_xs_raw_gnss_sat_info.html#a1de89ef349fef74cab95b89216a8a035">XsRawGnssSatInfo</a>
</li>
<li>m_reserved
: <a class="el" href="struct_xs_array.html#a9a81e31122b1cf37ced75d230407bd3a">XsArray</a>
</li>
<li>m_roll
: <a class="el" href="struct_xs_euler.html#a6a94a250132e290dc92526e8571d4855">XsEuler</a>
</li>
<li>m_rows
: <a class="el" href="struct_xs_matrix.html#a2a94034c68a9afb6be25bf0d3a64f11d">XsMatrix</a>
</li>
<li>m_rssi
: <a class="el" href="struct_mtw_sdi_data.html#aba179b8ddc482b3d172ed683d0a9b3ad">MtwSdiData</a>
</li>
<li>rateOfTurnHR()
: <a class="el" href="struct_xs_data_packet.html#a34528b6c3ed067bb67f75b90561d3e3e">XsDataPacket</a>
</li>
<li>rawAcceleration()
: <a class="el" href="struct_legacy_data_packet.html#ad18deee230536486a52df05fd8c7432d">LegacyDataPacket</a>
, <a class="el" href="struct_xs_data_packet.html#ae1505082b98751d7dbd579281758f591">XsDataPacket</a>
</li>
<li>rawAccelerationConverted()
: <a class="el" href="struct_xs_data_packet.html#a344e0fd7e23795f0a7df9866dda78d17">XsDataPacket</a>
</li>
<li>rawBlob()
: <a class="el" href="struct_xs_data_packet.html#af0e0ad7477ad56eb4f6f2858a02f781f">XsDataPacket</a>
</li>
<li>rawCopy
: <a class="el" href="struct_xs_array_descriptor.html#ac7c36a72a88f64f5cc1e472fee45cfcf">XsArrayDescriptor</a>
</li>
<li>rawData()
: <a class="el" href="struct_legacy_data_packet.html#a5ae39e4360ce27fdd3d607f74c23fa91">LegacyDataPacket</a>
, <a class="el" href="struct_xs_data_packet.html#a1bd94a35441ac23363970d6dded81ab7">XsDataPacket</a>
</li>
<li>rawGnssPvtData()
: <a class="el" href="struct_xs_data_packet.html#aa8a90a44c8fef5d228bef7ab28700edf">XsDataPacket</a>
</li>
<li>rawGnssSatInfo()
: <a class="el" href="struct_xs_data_packet.html#aa2ad7654b61b722234490bf51593a91c">XsDataPacket</a>
</li>
<li>rawGpsDop()
: <a class="el" href="struct_xs_data_packet.html#a1bfe4901d5e0ef5a8297c0466bc75f22">XsDataPacket</a>
</li>
<li>rawGpsSol()
: <a class="el" href="struct_xs_data_packet.html#adede22132e8d527491f0c783de0c87b6">XsDataPacket</a>
</li>
<li>rawGpsSvInfo()
: <a class="el" href="struct_xs_data_packet.html#a50abfc5b7ef92069f714fae5c8fbf069">XsDataPacket</a>
</li>
<li>rawGpsTimeUtc()
: <a class="el" href="struct_xs_data_packet.html#aa412a9645ae7bdf16a6e4d941bd50f5c">XsDataPacket</a>
</li>
<li>rawGyroscopeData()
: <a class="el" href="struct_legacy_data_packet.html#a433d579755346d9ed0c95eada5eb5084">LegacyDataPacket</a>
, <a class="el" href="struct_xs_data_packet.html#ac9a9ce01bb018281094c1743052f2dfb">XsDataPacket</a>
</li>
<li>rawGyroscopeDataConverted()
: <a class="el" href="struct_xs_data_packet.html#ab2634c20a548786ea5e92b1082916565">XsDataPacket</a>
</li>
<li>rawGyroscopeTemperatureData()
: <a class="el" href="struct_xs_data_packet.html#ad10f2e0f7752b5698c90e5a0f2212901">XsDataPacket</a>
</li>
<li>rawGyroscopeTemperatureDataConverted()
: <a class="el" href="struct_xs_data_packet.html#a3e3f658222d0293d218e67e3550838ae">XsDataPacket</a>
</li>
<li>rawMagneticField()
: <a class="el" href="struct_legacy_data_packet.html#a706b440d90cd8b77bf029b0168a87047">LegacyDataPacket</a>
, <a class="el" href="struct_xs_data_packet.html#a7b7d2383788a3a808fff89b0b2f949d9">XsDataPacket</a>
</li>
<li>rawMagneticFieldConverted()
: <a class="el" href="struct_xs_data_packet.html#a505212864ab0fe0601fcba4b20a862ce">XsDataPacket</a>
</li>
<li>rawMessage()
: <a class="el" href="struct_xs_message.html#ab093c965127c8938072cefff37cb35d7">XsMessage</a>
</li>
<li>rawTemperature()
: <a class="el" href="struct_legacy_data_packet.html#a67a5551e1779f8f752699cfe5269191a">LegacyDataPacket</a>
, <a class="el" href="struct_xs_data_packet.html#adb1175a438b2d02794267618da75a17e">XsDataPacket</a>
</li>
<li>rawTemperatureChannelCount()
: <a class="el" href="struct_legacy_data_packet.html#af3380932e1e4e1c08e0872944048d529">LegacyDataPacket</a>
</li>
<li>rbegin()
: <a class="el" href="struct_xs_array_impl.html#aca70dff557332449d95bee2f737d0ca3">XsArrayImpl&lt; T, D, I &gt;</a>
</li>
<li>read()
: <a class="el" href="struct_xs_file.html#af7e4bfcec25776af648c012af8531dd2">XsFile</a>
, <a class="el" href="struct_xs_socket.html#a4f74aa15958134c2517226e40a43d382">XsSocket</a>
</li>
<li>readData()
: <a class="el" href="struct_io_interface.html#a33818cfaffd39a7e1382e465d26efc0a">IoInterface</a>
, <a class="el" href="class_io_interface_file.html#a2d4e1496bc2c478c726f297e8dd078c7">IoInterfaceFile</a>
, <a class="el" href="class_serial_interface.html#aec2eaf73e258e0bbc4b13418ccbc2978">SerialInterface</a>
, <a class="el" href="class_usb_interface.html#a6c6113f7c73248ff95524ce3d784b39d">UsbInterface</a>
</li>
<li>readFrom()
: <a class="el" href="struct_xs_socket.html#a713868705f3015b271e01cd3701ade4a">XsSocket</a>
</li>
<li>ReadPipe
: <a class="el" href="class_xs_win_usb.html#a5ddaac6ba4e897c934223610e0894188">XsWinUsb</a>
</li>
<li>readTerminatedData()
: <a class="el" href="class_io_interface_file.html#ade44b56b10040f5cb6e6b97a17076c19">IoInterfaceFile</a>
</li>
<li>recomputeChecksum()
: <a class="el" href="struct_xs_message.html#a8cd1b0dc20da22e2f7fec6c9edcdbd03">XsMessage</a>
</li>
<li>ref_device
: <a class="el" href="class_xs_lib_usb.html#ad3b52b976fa093434a72f481c1601186">XsLibUsb</a>
</li>
<li>reference
: <a class="el" href="struct_xs_array_impl_1_1_iterator_impl_base.html#afcfed0c5ddefadfb61df666a6db43750">XsArrayImpl&lt; T, D, I &gt;::IteratorImplBase&lt; F, R, Derived &gt;</a>
</li>
<li>release_interface
: <a class="el" href="class_xs_lib_usb.html#abd9551b095a157d2b2f7acc7a9a2ba29">XsLibUsb</a>
</li>
<li>removeDuplicates()
: <a class="el" href="struct_xs_array_impl.html#a9d2343b34bce59739185d26094c2b2cf">XsArrayImpl&lt; T, D, I &gt;</a>
</li>
<li>removeDuplicatesPredicate()
: <a class="el" href="struct_xs_array_impl.html#ab43ba95a790126f8bb5229058373c869">XsArrayImpl&lt; T, D, I &gt;</a>
</li>
<li>rend()
: <a class="el" href="struct_xs_array_impl.html#af1034022e354d5049c151a0c46805be8">XsArrayImpl&lt; T, D, I &gt;</a>
</li>
<li>reopen()
: <a class="el" href="struct_xs_file.html#a19d284800cfadc55727b6e642e27a912">XsFile</a>
</li>
<li>reposVersion()
: <a class="el" href="struct_xs_version.html#a8dc6f5f3535fdc582d44e8f84eee0acf">XsVersion</a>
</li>
<li>reserve()
: <a class="el" href="class_io_interface_file.html#aadaff3109d61c4d3ec81e9a9281254e3">IoInterfaceFile</a>
, <a class="el" href="struct_xs_array_impl.html#aae0ba5636856263447b53fdb363e5388">XsArrayImpl&lt; T, D, I &gt;</a>
</li>
<li>reserved()
: <a class="el" href="struct_xs_array_impl.html#a7138c383f1a9cf60637247b7a0000132">XsArrayImpl&lt; T, D, I &gt;</a>
</li>
<li>ResetPipe
: <a class="el" href="class_xs_win_usb.html#a4d200314cf944de351968b5cebf0ca1c">XsWinUsb</a>
</li>
<li>resize()
: <a class="el" href="struct_xs_array_impl.html#aa4907f8e007835c98acd07799780bddb">XsArrayImpl&lt; T, D, I &gt;</a>
, <a class="el" href="struct_xs_file.html#ae674123257080dcc3b60bda085b2e4b8">XsFile</a>
</li>
<li>resizeData()
: <a class="el" href="struct_xs_message.html#a4e3c0bd6d550bc8e3563313e30d3682e">XsMessage</a>
</li>
<li>resolve()
: <a class="el" href="struct_xs_library_loader.html#abe07a74f057507e5ff642457af7ca95c">XsLibraryLoader</a>
</li>
<li>reverse()
: <a class="el" href="struct_xs_array_impl.html#ad4ad819fdd9b49bea6aba29d763d125c">XsArrayImpl&lt; T, D, I &gt;</a>
, <a class="el" href="struct_xs_string.html#a48f1f61d3e3b4e9988103695f5eee0f6">XsString</a>
, <a class="el" href="struct_xs_vector.html#afe85d8aef53e23ed96ebe570af78b793">XsVector</a>
</li>
<li>reverse_iterator
: <a class="el" href="struct_xs_array_impl.html#a5177d2d4e65752b214e07ae3dac1f9e9">XsArrayImpl&lt; T, D, I &gt;</a>
</li>
<li>revision()
: <a class="el" href="struct_xs_simple_version.html#afbd876a037f4b5aa60b0008b4b483f08">XsSimpleVersion</a>
, <a class="el" href="struct_xs_version.html#ad71929b1079441d3c06f64bb3970d16e">XsVersion</a>
</li>
<li>roll()
: <a class="el" href="struct_xs_euler.html#a322ebc6cc7eb83afe051898a68535bb3">XsEuler</a>
</li>
<li>rows()
: <a class="el" href="struct_xs_matrix.html#a95845c3d9a6c824068dcda924564b4e5">XsMatrix</a>
</li>
<li>rssi()
: <a class="el" href="struct_mtw_sdi_data.html#a1c6136a9f4cd7eb251b73a502ce83ab9">MtwSdiData</a>
, <a class="el" href="struct_xs_data_packet.html#abc9976d3136dc36e926774d11e7350bc">XsDataPacket</a>
</li>
<li>rtc()
: <a class="el" href="struct_legacy_data_packet.html#a528ac14dd6beaa7d078c68b06a0022f1">LegacyDataPacket</a>
</li>
<li>XsRange()
: <a class="el" href="struct_xs_range.html#ac2b537cecffd885d6f99d6b5415a686b">XsRange</a>
</li>
<li>XsRange_contains()
: <a class="el" href="group__cinterface.html#gaa1cd63243ef6c97d8dc74100b696ae33">XsRange</a>
</li>
<li>XsRange_count()
: <a class="el" href="group__cinterface.html#ga13553237cb71fff5792dda83f4fa0126">XsRange</a>
</li>
<li>XsRange_empty()
: <a class="el" href="group__cinterface.html#ga6de65698e6d8914121c8fde5832fd5cb">XsRange</a>
</li>
<li>XsRange_interval()
: <a class="el" href="group__cinterface.html#gabc5d89008b194a4404db1c8f0cdf35b2">XsRange</a>
</li>
<li>XsRange_setRange()
: <a class="el" href="group__cinterface.html#gaced1498a56faedf260bace911f210d46">XsRange</a>
</li>
</ul>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
